aboutsummaryrefslogtreecommitdiffstats
path: root/src/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'src/scripts')
-rwxr-xr-xsrc/scripts/ci/travis/install.sh5
-rwxr-xr-xsrc/scripts/ci/travis/lint.sh8
-rwxr-xr-xsrc/scripts/ci/travis/main.sh11
3 files changed, 24 insertions, 0 deletions
diff --git a/src/scripts/ci/travis/install.sh b/src/scripts/ci/travis/install.sh
index f430cb4ea..bea57cc82 100755
--- a/src/scripts/ci/travis/install.sh
+++ b/src/scripts/ci/travis/install.sh
@@ -20,6 +20,11 @@ fi
if [ "$TRAVIS_OS_NAME" = "linux" ]; then
sudo apt-get -qq update
+ if [ "$BUILD_MODE" = "lint" ]; then
+ pip install --user pylint
+ pip3 install --user pylint
+ fi
+
if [ "$BUILD_MODE" = "docs" ]; then
sudo apt-get install doxygen
diff --git a/src/scripts/ci/travis/lint.sh b/src/scripts/ci/travis/lint.sh
new file mode 100755
index 000000000..fe72ff589
--- /dev/null
+++ b/src/scripts/ci/travis/lint.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -ev
+which shellcheck > /dev/null && shellcheck "$0" # Run shellcheck on this if available
+
+echo "travis_fold:start:pylint"
+python3 -m pylint configure.py
+python2 -m pylint configure.py
+echo "travis_fold:end:pylint"
diff --git a/src/scripts/ci/travis/main.sh b/src/scripts/ci/travis/main.sh
new file mode 100755
index 000000000..ed6f56063
--- /dev/null
+++ b/src/scripts/ci/travis/main.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -ev
+which shellcheck > /dev/null && shellcheck "$0" # Run shellcheck on this if available
+
+PARENT_DIR=$(dirname "$0")
+
+if [ "$BUILD_MODE" = "lint" ]; then
+ "$PARENT_DIR"/lint.sh
+else
+ "$PARENT_DIR"/build.sh
+fi